子分类
  • 无子分类
在centos 下编译nodejs时遇到的问题,安装zlib-static即可
  • 2018-10-25发布
  • 2018-10-25修改

在centos下编译openwrt 的nodejs ipk时

前面几步:

git clone git://git.openwrt.org/openwrt.git  

cd openwrt  

./scripts/feeds update -a  

./scripts/feeds install -a  

都没问题

当执行

make defconfig  

出现

Build dependency: Please install a static zlib. (Missing libz.a or zlib.h)

安装zlib-static 即可

yum instal zlib-static

openwrt nodejs ipk编译方法